html {
	font-size: 16px;
}

body {
	background-color: #020;
	min-height: 100vh;
	margin: 0;
	overflow: hidden;
	padding: 2rem 2.5rem;
	color: #dfd;
	font-family: ui-monospace, 'Cascadia Code', 'Source Code Pro', Menlo, Consolas, 'DejaVu Sans Mono', monospace; 
	font-size: 1.25rem;
	line-height: 1.75rem;
	text-shadow: 0 0 5px #dfdc;
	&::after {
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		width: 100vw;
		height: 100vh;
		background: repeating-linear-gradient(
			0deg,
			rgba(0,0,0,0.2),
			rgba(0,0,0,0.2) 1px,
			transparent 1px,
			transparent 2px
		);
		pointer-events: none;
	}
}

::selection {
	background: #0080FF;
	text-shadow: none;
}

h1 {
	font-size: 1.25rem;
	font-weight: bold;
	color: #fe0;
	text-shadow: 0 0 5px #fe0c;
	&::before {
		content: '*** ';
	}
	&::after {
		content: ' ***';
	}
}

h2 {
	font-size: 1.25rem;
	font-weight: bold;
	&::before {
		content: '[';
	}
	&::after {
		content: ']';
	}
}

h1, h2, p {
	margin-bottom: 1.25rem;
}

ul {
	list-style-type: none;
	padding-left: 2.5rem;
	li {
		position: relative;
		&::before {
			content: '>';
			position: absolute;
			left: -1.25rem;
		}
	}
}

a {
	color: #dfd;
	text-decoration: none;
	&:hover {
		color: #fff;
		text-shadow: 0 0 5px #fffc;
		font-weight:bold;
	}
	&:visited {
		text-decoration: none;
	}
}

@media (max-width: 600px) {
	body {
		padding: 0.75rem 1.25rem;
	}
}